package com.ruoyi.system.service;

import com.ruoyi.system.domain.proprietorCar.ProprietorCar;

import java.util.List;


/**
 * 业主车辆管理Service接口
 * 
 * @author boman
 * @date 2025-02-20
 */
public interface IProprietorCarService 
{
    /**
     * 查询业主车辆管理
     * 
     * @param carId 业主车辆管理主键
     * @return 业主车辆管理
     */
    public ProprietorCar selectProprietorCarByCarId(Long carId);

    /**
     * 查询业主车辆管理列表
     * 
     * @param proprietorCar 业主车辆管理
     * @return 业主车辆管理集合
     */
    public List<ProprietorCar> selectProprietorCarList(ProprietorCar proprietorCar);

    /**
     * 新增业主车辆管理
     * 
     * @param proprietorCar 业主车辆管理
     * @return 结果
     */
    public int insertProprietorCar(ProprietorCar proprietorCar);

    /**
     * 修改业主车辆管理
     * 
     * @param proprietorCar 业主车辆管理
     * @return 结果
     */
    public int updateProprietorCar(ProprietorCar proprietorCar);

    /**
     * 批量删除业主车辆管理
     * 
     * @param carIds 需要删除的业主车辆管理主键集合
     * @return 结果
     */
    public int deleteProprietorCarByCarIds(Long[] carIds);

    /**
     * 删除业主车辆管理信息
     * 
     * @param carId 业主车辆管理主键
     * @return 结果
     */
    public int deleteProprietorCarByCarId(Long carId);
}
